<include file="public@header" />
<style type="text/css">
	.goods_thumbs_list{
		width: 252px;
		margin-bottom: 10px;
	}
	.goods_thumbs_list img{
		cursor: pointer;
		max-width:150px;
		max-height:150px;
	}
	.goods_thumbs_list_button{
		float: right;
		margin-top: 65px;
	}
	.goods_thumbs_area{
		width: 60%;
		float: left;
		height: auto;
	}
	.spec_lists_del{
		margin-left: 30px;
	}
	.clearboth{
		clear: both;
	}
</style>
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li ><a href="{:url('Shopgoods/index')}">{:lang('PRODUCT_LIST')}</a></li>
			<li class="active"><a >{:lang('PLATFORM_SELF_OWNED_PRODUCT_ADDITION')}</a></li>
		</ul>
		<form method="post" class="form-horizontal js-ajax-form margin-top-20" action="{:url('Shopgoods/addPost')}">
            
            <div class="form-group">
				<label for="input-name" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRODUCT_TITLE')}:</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" name="name" id="input-name" maxlength="15" placeholder="{:lang('PRODUCT_TERMS_ATTRIBUTE_WORDS_MARKETING_WORDS')}">
				</div>
			</div>


				<div class="form-group">
					<label for="input-one_class" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRODUCT_CATEGORY')}:</label>
					<div class="col-md-6 col-sm-10">
						<select name="one_classid" id="one_class">
							<option value="0">--{:lang('PLEASE_SELECT_A_PRIMARY_CATEGORY')}--</option>
							<volist name="one_classlist" id="vo">
								<option value="{$vo['gc_id']}">{$vo['gc_name']}</option>
							</volist>
						</select>
						<select name="two_classid" id="two_class">
							<option value="0">--{:lang('PLEASE_SELECT_A_SECOND_CATEGORY')}--</option>
						</select>
						<select name="three_classid" id="three_class">
							<option value="0">--{:lang('PLEASE_SELECT_A_THIRD_CATEGORY')}--</option>
						</select>
					</div>
				</div>

				<div class="form-group">
					<label for="input-video_is_upload" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('IS_PRODUCT_VIDEO_UPLOADED')}</label>
					<div class="col-md-6 col-sm-10">
						<label class="radio-inline"><input type="radio" name="video_is_upload" value="0" checked>{:lang('NO')}</label>
						<label class="radio-inline"><input type="radio" name="video_is_upload" value="1" >{:lang('YES')}</label>
						<p class="help-block">{:lang('IF_YOU_CHOOSE_NOT_TO_UPLOAD_A_VIDEO_THE_VIDEO_FILE_BELOW_DOES_NOT_NEED_TO_BE_SELECTED_EVEN_IF_SELECTED_IT_WILL_NOT_BE_PROCESSED')}</p>
					</div>
				</div>


				<div class="form-group upload_videothumb_area">
					<label for="input-video_thumb" class="col-sm-2 control-label"><span class="form-required"></span>{:lang('VIDEO_COVER')}</label>
					<div class="col-md-6 col-sm-10">
						<input type="hidden" name="video_thumb" id="video_thumb" value="">
						<a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#video_thumb');">
							<img src="__TMPL__/public/assets/images/default-thumbnail.png" id="video_thumb-preview" style="cursor: pointer;max-width:150px;max-height:150px;"/>
						</a>
						<input type="button" class="btn btn-sm btn-cancel-video_thumb" value="{:lang('REMOVE_IMAGE')}">
						<p class="help-block">{:lang('RECOMMENDED_DIMENSIONS', ['width' => '200', 'height' => '200'])}</p>
					</div>
				</div>

				<div class="form-group">
					<label for="input-href" class="col-sm-2 control-label"><span class="form-required"></span>{:lang('UPLOAD_VIDEO')}</label>
					<div class="col-md-6 col-sm-10">
						<input class="form-control" id="js-file-input" type="text" name="video_url" style="width: 300px;display: inline-block;" title="视频文件地址" >

	                    <a href="javascript:uploadOne('{:lang('FILE_UPLOAD')}','#js-file-input','video');">{:lang('UPLOAD_FILE')}</a> {:lang('MP4_FORMAT')}
	                   	<p class="help-block">{:lang('YOU_CAN_ENTER_VIDEO_LINK_ONLY_ALPHANUMERIC_AND_UNDERSCORES_SPECIAL_CHARACTERS_LIKE_ARE_NOT_ALLOWED_YOU_CAN_ALSO_DIRECTLY_UPLOAD_VIDEO_TO_GET_LINK')}</p> 
					</div>
					
				</div>

				<!-- 商品缩略图 -->
				<div class="form-group">
					<label for="input-thumbs" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRODUCT_THUMBNAIL')}
						<p class="help-block">{:lang('UP_TO_9_IMAGES_CAN_BE_UPLOADED')}</p>
					</label>
					<div class="goods_thumbs_area">
						<div class="col-md-6 col-sm-10 goods_thumbs_list">
							<input type="hidden" name="thumbs[]" id="thumbs1" value="">
							<a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#thumbs1');">
								<img src="__TMPL__/public/assets/images/default-thumbnail.png" id="thumbs1-preview"/>
							</a>
							<input type="button" class="btn btn-sm btn-cancel-thumbs1" value="{:lang('REMOVE_IMAGE')}">
						</div>
						
						<div class="col-md-6 col-sm-10 goods_thumbs_list" style="padding-top: 65px;">
							<input type="button" class="btn btn-sm btn-cancel-thumbs1" id="addGoodsThumbs" value="{:lang('ADD_NEW_THUMBNAIL')}" />(<span id="goods_thumbs_nums">1</span>/9)
						</div>

					</div>

				</div>


		        <div class="form-group">
					<label for="input-content" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRODUCT_DETAILS')}:</label>
					<div class="col-md-6 col-sm-10">
						<textarea class="form-control" style="height: 200px;" name="content" placeholder="{:lang('DETAIL_DESCRIPTION_SPECIFICATIONS_COMBINATIONS_PURCHASE_NOTES')}"></textarea>
					</div>
				</div>
				<!-- 商品详情图集 -->
				<div class="form-group">
					<label for="input-pictures" class="col-sm-2 control-label"><span class="form-required"></span>{:lang('PRODUCT_DETAIL_GALLERY')}
						<p class="help-block">{:lang('UP_TO_20_IMAGES_CAN_BE_UPLOADED')}</p>
					</label>
					<div class="goods_thumbs_area">
						<div class="col-md-6 col-sm-10 goods_thumbs_list">
							<input type="hidden" name="pictures[]" id="pictures1" value="">
							<a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#pictures1');">
								<img src="__TMPL__/public/assets/images/default-thumbnail.png" id="pictures1-preview"/>
							</a>
							<input type="button" class="btn btn-sm btn-cancel-pictures1" value="{:lang('REMOVE_IMAGE')}">
						</div>
						
						<div class="col-md-6 col-sm-10 goods_thumbs_list" style="padding-top: 65px;">
							<input type="button" class="btn btn-sm btn-cancel-pictures1" id="addGoodsPictures" value="{:lang('ADD_NEW_DETAIL_IMAGE')}" />(<span id="goods_pictures_nums">1</span>/20)
						</div>

					</div>

				</div>

				<!-- 规格列表 -->
				<div class="spec_lists">

					<div class="form-group">
						<label class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRODUCT_SPECIFICATION_NAME')}:</label>
						<div class="col-md-6 col-sm-10">
							<input type="text" class="form-control" name="spec_name[]" placeholder="{:lang('MAX_CHARACTERS', ['length' => 15])}">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRODUCT_SPECIFICATION_INVENTORY')}:</label>
						<div class="col-md-6 col-sm-10">
							<input type="text" class="form-control" name="spec_num[]" placeholder="{:lang('INTEGER_BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRODUCT_SPECIFICATION_UNIT_PRICE')}($):</label>
						<div class="col-md-6 col-sm-10">
							<input type="text" class="form-control" name="spec_price[]" placeholder="{:lang('INTEGER_BETWEEN_MSG', ['min' => 1, 'max' => 99999999])}">
						</div>
					</div>

					<!-- 商品规格图 -->

					<div class="form-group">
	                    <label for="input-apk_ewm" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('SPECIFICATION_COVER')}</label>
	                    <div class="col-md-6 col-sm-10">
	                        <input type="hidden" name="spec_thumb[]" id="spec_thumb1" value="">
	                        <a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#spec_thumb1');">
	                            <img src="__TMPL__/public/assets/images/default-thumbnail.png" id="spec_thumb1-preview" style="width: 150px;height: 150px;" />
	                        </a>
	                        <input type="button" class="btn btn-sm btn-cancel-spec_thumb1" value="{:lang('REMOVE_IMAGE')}">
	                        <input type="button" class="btn btn-sm btn-cancel-spec_thumb1 spec_lists_del" id="spec_lists_add" value="{:lang('ADD_SPECIFICATION')}">
	                    </div>
	                </div>

	            </div>

				<div class="form-group">
					<label for="input-postage" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRODUCT_SHIPPING_FEE')}:</label>
					<div class="col-md-6 col-sm-10">
						<input type="text" class="form-control" id="input-postage" name="postage" placeholder="{:lang('NUMBER_BETWEEN_MSG', ['min' => 0, 'max' => 99999])}">
						<p class="help-block">{:lang('PLEASE_ENTER_A_NUMBER')}，{:lang('ENTER_ZERO_FOR_FREE_SHIPPING')}</p>
					</div>
				</div>

				<div class="form-group">
					<label for="input-commission" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('COMMISSION_FROM_ANCHOR_RESELLING')}:</label>
					<div class="col-md-6 col-sm-10">
						<input type="text" class="form-control" id="input-commission" name="commission" placeholder="{:lang('NUMBER_BETWEEN_MSG', ['min' => 0, 'max' => 99999])}">$
						<p class="help-block">{:lang('PLEASE_ENTER_A_NUMBER')}</p>
					</div>
				</div>

				<div class="form-group">
					<label for="input-share_income" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('COMMISSION_FROM_PURCHASE_AFTER_PRODUCT_SHARING')}:</label>
					<div class="col-md-6 col-sm-10">
						<input type="text" class="form-control" id="input-share_income" name="share_income" placeholder="{:lang('NUMBER_BETWEEN_MSG', ['min' => 0, 'max' => 99999])}">$
						<p class="help-block">{:lang('PLEASE_ENTER_A_NUMBER')}</p>
					</div>
				</div>

				<div class="form-group">
					<label for="input-status" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRODUCT_STATUS')}:</label>
					<div class="col-md-6 col-sm-10">
						<label class="radio-inline"><input type="radio" name="status" value="0" >{:lang('DO_NOT_PUBLISH')}</label>
						<label class="radio-inline"><input type="radio" name="status" value="1" checked="checked">{:lang('PUBLISH')}</label>
					</div>
				</div>



            <div class="form-group">
				<div class="col-sm-offset-2 col-sm-10">
					<input type="hidden" name="id" />
					
						<button type="submit" class="btn btn-primary js-ajax-submit">{:lang('ADD')}</button>
					
				</div>
			</div>

		</form>
	</div>

    <script src="__STATIC__/js/admin.js"></script>
    <script src="__STATIC__/js/layer/layer.js"></script>
    <script type="text/javascript">

    	var thumbs_id=1;
		var thumbs_num=1;
		var thumbs_total=9;

		var pictures_id=1;
		var pictures_num=1;
		var pictures_total=20;

		var spec_lists_id=1;

    	$(function(){

    		var one_classid=0;
    		var two_classid=0;
    		var three_classid=0;

    		//一级商品分类切换时，更新二级商品分类
    		$("#one_class").change(function(){
    			one_classid=$(this).val();
    			if(!one_classid){
    				$("#two_class").html("<option value='0'>--{:lang('PLEASE_SELECT_A_SECOND_CATEGORY')}--</option>");
    				$("#three_class").html("<option value='0'>--{:lang('PLEASE_SELECT_A_THIRD_CATEGORY')}--</option>");
    				return;
    			}
    			$.ajax({
		             type: "post",
		             url: "/admin/Shopgoods/getTwoClassLists",
		             data: {one_classid:one_classid,type:0},
		             dataType: "json",
		             success: function(data){
                        var code=data.code;
                        var msg=data.msg;
                        var info=data.info;
                        if(code!=0){
                        	layer.msg(msg);
                        	return;
                        }

                        $("#two_class").html("<option value='0'>--{:lang('PLEASE_SELECT_A_SECOND_CATEGORY')}--</option>");

                        var str='';
                        for(var i=0;i<info.length;i++){
                        	str+='<option value="'+info[i]['gc_id']+'">'+info[i]['gc_name']+'</option>';
                        }
                        $("#two_class").append(str);
                        
                      }
		        });
    		});

    		//二级商品分类切换时，更新三级商品分类
    		$("#two_class").on('change',function(){
    			two_classid=$(this).val();
    			if(!two_classid){
    				$("#three_class").html("<option value='0'>--{:lang('PLEASE_SELECT_A_THIRD_CATEGORY')}--</option>");
    				return;
    			}

    			$.ajax({
		             type: "post",
		             url: "/admin/Shopgoods/getThreeClassLists",
		             data: {two_classid:two_classid,type:0},
		             dataType: "json",
		             success: function(data){
                        var code=data.code;
                        var msg=data.msg;
                        var info=data.info;
                        if(code!=0){
                        	layer.msg(msg);
                        	return;
                        }

                        $("#three_class").html("<option value='0'>--{:lang('PLEASE_SELECT_A_THIRD_CATEGORY')}--</option>");

                        var str='';
                        for(var i=0;i<info.length;i++){
                        	str+='<option value="'+info[i]['gc_id']+'">'+info[i]['gc_name']+'</option>';
                        }
                        $("#three_class").append(str);
                        
                      }
		        });
    		});

    		//选择三级分类
    		$("#three_class").on('change',function(){
    			three_classid=$(this).val();
    		});

    		//添加商品缩略图
    		$("#addGoodsThumbs").click(function(){
    			thumbs_id++;
    			thumbs_num++;
    			var str='<div class="col-md-6 col-sm-10 goods_thumbs_list" id="goods_thumbs_list'+thumbs_id+'">\
							<input type="hidden" name="thumbs[]" id="thumbs'+thumbs_id+'" value="">\
							<a href="javascript:uploadOneImage(\'{:lang("UPLOAD_IMAGE")}\',\'#thumbs'+thumbs_id+'\');">\
								<img src="__TMPL__/public/assets/images/default-thumbnail.png" id="thumbs'+thumbs_id+'-preview"/>\
							</a>\
							<p class="goods_thumbs_list_button">\
							<!--<input type="button" class="btn btn-sm btn-cancel-thumbs'+thumbs_id+'" value="{:lang("REMOVE_IMAGE")}" onclick="cancelthums('+thumbs_id+')">-->\
							<input type="button" data-thumbsid="'+thumbs_id+'" class="thumbs_del btn btn-sm btn-cancel-thumbs'+thumbs_id+'" onclick="delthumbs('+thumbs_id+')" value="{:lang("DELETE")}">\
							</p>\
							<div class="clearboth"></div>\
						</div>';
				//console.log(str);
				$("#goods_thumbs_nums").html(thumbs_num);
				$(this).parent().before(str);
				if(thumbs_num==thumbs_total){
					$(this).parent().css("display","none");
				}
    		});


    		//添加商品详情图
    		$("#addGoodsPictures").click(function(){
    			pictures_id++;
    			pictures_num++;
    			var str='<div class="col-md-6 col-sm-10 goods_thumbs_list" id="goods_pictures_list'+pictures_id+'">\
							<input type="hidden" name="pictures[]" id="pictures'+pictures_id+'" value="">\
							<a href="javascript:uploadOneImage(\'{:lang("UPLOAD_IMAGE")}\',\'#pictures'+pictures_id+'\');">\
								<img src="__TMPL__/public/assets/images/default-thumbnail.png" id="pictures'+pictures_id+'-preview"/>\
							</a>\
							<p class="goods_thumbs_list_button">\
							<!--<input type="button" class="btn btn-sm btn-cancel-pictures'+pictures_id+'" value="{:lang("REMOVE_IMAGE")}" onclick="cancelpictures('+pictures_id+')">-->\
							<input type="button" data-thumbsid="'+pictures_id+'" class="thumbs_del btn btn-sm btn-cancel-pictures'+pictures_id+'" onclick="delpictures('+pictures_id+')" value="{:lang("DELETE")}">\
							</p>\
							<div class="clearboth"></div>\
						</div>';
				//console.log(str);
				$("#goods_pictures_nums").html(pictures_num);
				$(this).parent().before(str);
				if(pictures_num==pictures_total){
					$(this).parent().css("display","none");
				}
    		});


    		//添加规格
    		
    		$("#spec_lists_add").click(function(){
    			spec_lists_id++;
    			var str='<div id="spec_lists'+spec_lists_id+'">\
	                	<div class="form-group">\
							<label class="col-sm-2 control-label"><span class="form-required">*</span>{:lang("PRODUCT_SPECIFICATION_NAME")}:</label>\
							<div class="col-md-6 col-sm-10">\
								<input type="text" class="form-control" name="spec_name[]" placeholder="{:lang("MAX_CHARACTERS", ["length" => 15])}">\
							</div>\
						</div>\
						<div class="form-group">\
							<label class="col-sm-2 control-label"><span class="form-required">*</span>{:lang("PRODUCT_SPECIFICATION_INVENTORY")}:</label>\
							<div class="col-md-6 col-sm-10">\
								<input type="text" class="form-control" name="spec_num[]" placeholder="{:lang("INTEGER_BETWEEN_MSG", ["min" => 1, "max" => 99999999])}">\
							</div>\
						</div>\
						<div class="form-group">\
							<label class="col-sm-2 control-label"><span class="form-required">*</span>{:lang("PRODUCT_SPECIFICATION_UNIT_PRICE")}($):</label>\
							<div class="col-md-6 col-sm-10">\
								<input type="text" class="form-control" name="spec_price[]" placeholder="{:lang("NUMBER_BETWEEN_MSG", ["min" => 1, "max" => 99999999])}">\
							</div>\
						</div>\
						<div class="form-group">\
		                    <label for="input-apk_ewm" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang("SPECIFICATION_COVER")}</label>\
		                    <div class="col-md-6 col-sm-10">\
		                        <input type="hidden" name="spec_thumb[]" id="spec_thumb'+spec_lists_id+'" value="">\
		                        <a href="javascript:uploadOneImage(\'{:lang("UPLOAD_IMAGE")}\',\'#spec_thumb'+spec_lists_id+'\');">\
		                            <img src="__TMPL__/public/assets/images/default-thumbnail.png" id="spec_thumb'+spec_lists_id+'-preview" style="width: 150px;height: 150px;" />\
		                        </a>\
		                        <input type="button" class="btn btn-sm btn-cancel-spec_thumb'+spec_lists_id+'" value="{:lang("REMOVE_IMAGE")}">\
		                        <input type="button" class="btn btn-sm spec_lists_del" onclick="specListDel('+spec_lists_id+')" value="{:lang("DELETE_SPECIFICATION")}">\
		                    </div>\
		                </div>\
	                </div>';

	            $(".spec_lists").append(str); 
    		});

    		
    	});
		
		//删除商品缩略图
		function delthumbs(thumbs_id){
			//console.log(thumbs_id);
			$("#goods_thumbs_list"+thumbs_id).remove();
			thumbs_num--;
			$("#goods_thumbs_nums").html(thumbs_num);
			if(thumbs_num<thumbs_total){
				$("#addGoodsThumbs").parent().css("display","block");
			}
		}

		//删除商品详情图
		function delpictures(pictures_id){
			//console.log(pictures_id);
			$("#goods_pictures_list"+pictures_id).remove();
			pictures_num--;
			$("#goods_pictures_nums").html(pictures_num);
			if(pictures_num<pictures_total){
				$("#addGoodsPictures").parent().css("display","block");
			}
		}

		//取消缩略图图片
		/*function cancelthums(thumbs_id){
			$('#thumbs'+thumbs_id+'-preview').attr('src', '__TMPL__/public/assets/images/default-thumbnail.png');
			$('#thumbs'+thumbs_id).val('');
		}*/

		//取消详情图集图片
		/*function cancelpictures(pictures_id){
			$('#pictures'+pictures_id+'-preview').attr('src', '__TMPL__/public/assets/images/default-thumbnail.png');
			$('#pictures'+pictures_id).val('');
		}*/

		//删除商品规格
		function specListDel(spec_list_id){
			$("#spec_lists"+spec_list_id).remove();
		}

    </script>
    

</body>
</html>
